<div id="alert-penetapan"></div>
#{form @lelang.EvaluasiCtr.submitHasilNegosiasi(lelang.lls_id), id:'formHasilNegosiasi'}
<table class="table table-sm">
	<tr>
		<th width="5%" align="center">No</th>
		<th width="40%" align="center">Peserta</th>
		<th width="20%" align="center">Harga Negosiasi (Rp)</th>
		<th width="5%" align="center">Pemenang</th>
	</tr>
	#{if editable}
	#{list items:pesertaList, as:'pesertaItem'}
	#{set i : pesertaItem_index - 1 /}
	<tr>
		<td align="center">${pesertaItem_index}
			<input type="hidden" name="nilai[${i}]" value="${pesertaItem.nev_id}"/>
		</td>
		<td>${pesertaItem?.peserta.namaPeserta}
			<div id="div-alasan${i}" style="display:none">
				Alasan gagal: <textarea name="alasan[]" class="form-control"></textarea>
			</div>
		</td>
		<td align="center">
			<input type="text" name="harga[${i}]" class="form-control" onkeypress="return isNumberKey(event)"
				   value="${pesertaItem.hargaFinal()?.rupiah()}"/>
		</td>
		<td align="center"><input class="form-check-input" type="radio" id="${i}" name="pemenang" value="${pesertaItem.nev_id}" #{if pesertaItem?.lulus} checked#{/if}></td>
	</tr>
	#{/list}
	#{/if}
	#{else}
	#{list items:pesertaList, as:'pesertaItem'}
	<tr>
		<td align="center">${pesertaItem_index}</td>
		<td>${pesertaItem?.peserta?.namaPeserta}</td>
		<td align="center">${pesertaItem.nev_harga?.rupiah()}</td>
		<td align="center">#{if pesertaItem?.lulus}<img src="#{assets '/images/star.gif'/}"/>#{/if}</td>
	</tr>
	#{/list}
	#{/else}
</table>
#{if editable} #{saveButton /} #{/if}
#{/form}

<div class="bs-callout bs-callout-info">&{'lelang_evaluasi.input_klarifikasi_negosiasi'}</div>
<script type="text/javascript" src="#{assets '/javascripts/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/javascripts/autoNumeric.min.js'/}"></script>

<script type="text/javascript">
	$(document).ready(function () {
		//banyak data
		var mx = ${i==null? 0:i};

		$('button[name="simpan"]').click(function () {
			var valid = true;

			for (var i = 0; i <= mx; i++) {
				var a = $('input[name="harga[' + i + ']"]').val();

				if (a == 0 || a == null) {
					alert("Harga Tidak Boleh Kosong");
					$('input[name="harga[' + i + ']"]').focus();
					valid = false
				}
			}

			if (valid == true)
				$('#formHasilNegosiasi').submit();
			else
				return false;
		});

		//input harga only number
		for (var x = 0; x <= mx; x++) {
			$('input[name="harga[' + x + ']"]').keypress(function (e) {
				return isNumberKey(e);
			});
		}

		if($('.money').length > 0) {
    		new AutoNumeric.multiple('.money', { digitGroupSeparator: '.', decimalCharacter: ',' });
		}

		$('input[type=radio][name=pemenang]').change(function () {
			var mx = ${i};
			console.log(this.id);
			if (this.id > 0) {
				for (var i = 0; i < this.id; i++) {
					$('#div-alasan' + i).show();

				}

			}
			for (var i = this.id; i < mx; i++) {
				$('#div-alasan' + i).hide();

			}

		});
	});
</script>
